Startseite » Forum » LiveConfig-Foren (deutsch) » Fehler und Problembehebung » .htaccess: ErrorDocument not allowed here
Ergebnis 1 bis 5 von 5
  1. #1
    Erfahrener Benutzer
    Registriert seit
    09.07.2012
    Ort
    Spanien
    Beiträge
    279

    .htaccess: ErrorDocument not allowed here

    Warum kriege ich hier plötzlich diesen 500 Fehler bei Aktualisierung nach 2.8.0-r5579?

    In Drupal .htaccess steht:

    ErrorDocument 404 /index.php

    und kann leider nicht gut ohne funktionieren
    Geändert von ñull (22.08.2019 um 19:25 Uhr)

  2. #2
    Erfahrener Benutzer
    Registriert seit
    09.07.2012
    Ort
    Spanien
    Beiträge
    279
    Seht so aus das Apache Option FileInfo jetzt nicht mehr verfügbar ist, aber ich sehe das nicht ernannt im Änderungsverlauf. Bitte doch lieber erwähnen.

    Ich habe es gelöst (wie alle LC Eigenartigkeiten) mit .httpd.conf. Meine nötige Änderungen für Drupal:

    #Allow Drupal .htaccess settings
    <Directory /var/www/contract/htdocs/sites/default/files>
    AllowOverride Options=FollowSymlinks,SymLinksIfOwnerMatch
    AllowOverrideList SetHandler
    </Directory>

    <Directory /var/www/contract/htdocs/>
    AllowOverride FileInfo AuthConfig Indexes Limit Options=Indexes,MultiViews,FollowSymlinks,SymLinks IfOwnerMatch
    </Directory>
    Geändert von ñull (22.08.2019 um 19:32 Uhr)

  3. #3
    LiveConfig-Team Avatar von kk
    Registriert seit
    10.12.2010
    Beiträge
    3.283
    Zitat Zitat von ñull Beitrag anzeigen
    Seht so aus das Apache Option FileInfo jetzt nicht mehr verfügbar ist
    Welche LiveConfig-Version genau nutzen Sie?
    Es gab mit LiveConfig 2.7.4 Sicherheitseinschränkungen (SetHandler war nicht mehr erlaubt), ab LiveConfig 2.8.0 ist SetHandler aber wieder erlaubt.

    Schicken Sie uns bitte ansonsten mal den Inhalt von /etc/apache2/sites-enabled/<Vertrag>.conf an support@liveconfig.com

    Viele Grüße

    -Klaus Keppler
    Geändert von kk (23.08.2019 um 09:12 Uhr)

  4. #4
    Erfahrener Benutzer
    Registriert seit
    15.02.2016
    Beiträge
    286
    @ ñull
    AllowOverride Options=FollowSymlinks
    is insecure and should not be used!
    Das Gras wächst nicht schneller wenn man daran zieht.

    Bitte keine unnötigen Vollzitate. "Antworten" genügt meistens!

  5. #5
    Erfahrener Benutzer
    Registriert seit
    09.07.2012
    Ort
    Spanien
    Beiträge
    279
    Zitat Zitat von lebenszeit Beitrag anzeigen
    @ ñull
    AllowOverride Options=FollowSymlinks
    is insecure and should not be used!
    Drupal 7 braucht es: https://git.drupalcode.org/project/d.../7.x/.htaccess

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •